target_sources(${PROJECT_NAME}
    PUBLIC
        rdm/controller.h
        rdm/device.h
        rdm/message.h
        rdm/parameter.h
        rdm/responder.h
        rdm/sensor.h
        rdm/status.h
    PRIVATE
        rdm/controller.cpp
        rdm/device.cpp
        rdm/E1.37-1.h
        rdm/E1.37-2.h
        rdm/E1.37-7.h
        rdm/message.cpp
        rdm/parameter.cpp
        rdm/rdm.cpp
        rdm/rdm.h
        rdm/responder.cpp
        rdm/sensor.cpp
        rdm/uid.h
    )
